<template>
    <iframe
        id="iframe"
        frameborder="0"
        scrolling="no"
        src="https://apis.map.qq.com/tools/locpicker?search=1&type=1&key=GLFBZ-ZR2W6-76XSA-MF7CQ-GDJ6Z-6FB5K&referer=Dingdong"
    >
    </iframe>
</template>
<script>
window.addEventListener(
    'message',
    function(event) {
        if (event.origin === 'https://3gimg.qq.com') {
            var loc = event.data;
            console.log(loc);
            if (window.ReactNativeWebView) {
                window.ReactNativeWebView.postMessage(JSON.stringify(loc));
            }
        }
    },
    false,
);
import { mapState } from 'vuex';
export default {
    name: '',
    data() {
        return {};
    },
    computed: {
        ...mapState(['userInfo']),
    },
};
</script>
<style lang='less' scoped>
#iframe {
    width: 100vw;
    height: 100vh;
}
</style>